Event Markers

Update Event Marker

Updates a marker event in a manual collection.

PATCH
/v0/project/{idOrSlug}/event-marker-collections/{collectionId}/events/{eventId}

Updates a marker event in a manual collection.

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string
collectionId*string
eventId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v0/project/string/event-marker-collections/string/events/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "projectId": "string",  "collectionId": "string",  "timestamp": "string",  "title": "string",  "description": "string",  "icon": "string",  "emoji": "string",  "color": "string",  "metadata": {},  "externalId": "string",  "createdAt": "string",  "updatedAt": "string"}
{  "_tag": "EventMarkerValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}